Status of Eclipse in Fedora

I’m confused by the status of Eclipse in Fedora 31.
I see a few bugs about Eclipse packages not being successfully built. For example: eclipse-m2e-core and maven-eclipse-plugin.

Furthermore, dnf updateinfo info shows (among other messages):

=============================================================================
  glassfish-jsp-2.3.4-2.fc31 takari-polyglot-0.4.4-5.fc31
=============================================================================
  Update ID: FEDORA-2019-45dcf79c41
       Type: enhancement
    Updated: 2020-01-04 21:32:10
Description: Unretirement of glassfish-jsp and takari-polyglot.
           : 
   Severity: Low

But dnf update does not update glassfish-jsp or takari-polyglot.

And when I do: dnf list all | grep eclipse-m2e, I get a mix of modular and non-modular packages:

eclipse-m2e-workspace.noarch                                               0.4.0-12.module_f31+6793+1c93c38e                          @updates-modular                  
eclipse-m2e-antlr.noarch                                                   0.15.0-0.13.gitb2d587b.fc30                                fedora                            
eclipse-m2e-apt.noarch                                                     1.5.2-1.module_f31+6519+12cd0b27                           fedora-modular                    
eclipse-m2e-buildhelper.noarch                                             0.15.0-0.14.git2dbbbb7.module_f31+6519+12cd0b27            fedora-modular                    
eclipse-m2e-core.noarch                                                    1.11.0-8.module_f31+6793+1c93c38e                          updates-modular                   
eclipse-m2e-core-javadoc.noarch                                            1.11.0-8.module_f31+6793+1c93c38e                          updates-modular                   
eclipse-m2e-core-tests.noarch                                              1.11.0-8.module_f31+6793+1c93c38e                          updates-modular                   
eclipse-m2e-cxf.noarch                                                     0.14.0-0.12.gitf22f9ea.fc30                                fedora                            
eclipse-m2e-egit.noarch                                                    0.15.1-0.4.git026984f.module_f31+6519+12cd0b27             fedora-modular                    
eclipse-m2e-maven-dependency-plugin.noarch                                 0.0.4-0.6.git38c09f1.fc30                                  fedora                            
eclipse-m2e-mavenarchiver.noarch                                           0.17.4-1.module_f31+6519+12cd0b27                          fedora-modular                    
eclipse-m2e-mavendev.noarch                                                0.3.0.201506181201-8.fc30                                  fedora                            
eclipse-m2e-modello.noarch                                                 0.16.0-0.13.git5d1062a.fc30                                fedora                            
eclipse-m2e-plexus.noarch                                                  0.15.0-0.13.git8baf151.fc30                                fedora                            
eclipse-m2e-sisu.noarch                                                    0.15.0-0.13.git81d3bc5.fc30                                fedora                            
eclipse-m2e-takari.noarch                                                  0.1.0-0.10.gite7603b0.fc30                                 fedora                            
eclipse-m2e-tycho.noarch                                                   1:0.8.1-6.module_f31+6519+12cd0b27                         fedora-modular                    
eclipse-m2e-workspace-javadoc.noarch                                       0.4.0-12.module_f31+6793+1c93c38e                          updates-modular                   
eclipse-m2e-wtp.noarch                                                     1.4.2-1.module_f31+6519+12cd0b27                           fedora-modular

And dnf list installed | grep eclipse-m2e reports conflicts:

Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(maven:3.5) needed by module eclipse:latest:3120191219031631:d36a98d4-0.x86_64
 Problem 2: module jmc:latest:3120191126223243:095c3bd2-0.x86_64 requires module(eclipse), but none of the providers can be installed
  - conflicting requests
  - nothing provides module(maven:3.5) needed by module eclipse:latest:3120191219031631:d36a98d4-0.x86_64
eclipse-m2e-workspace.noarch                         0.4.0-12.module_f31+6793+1c93c38e           @updates-modular

My questions are:

  1. How do I update my Eclipse and maven-plugin properly (and solve the conflicts)?
  2. What is the recommended way to use Eclipse on Fedora (download from Eclipse site, regular Fedora Eclipse package, modular Fedora Eclipse package, flatpak)?
If your're not a developer (just like me)...

Try Vim instead. It is enough.

If you’re a developer:

    Do this test,
    And then go rest.
    When trying next:
    Hope for the best!

@vits95 sorry but sometimes your posts are cryptic.

@janvlug yes, there are issues with Eclipse and Java in general on Fedora (lack of manpower in java stuff packaging). There is another thread in the devel mailing list talking about that.

Try to search this forum, since the question was already asked. One option, if I’m not wrong, is to use flatpak.

2 Likes

@alciregi Thanks for the link. I actually did search and read this forum before creating a new post. I did not want to “hijack” an existing post with my specific questions.

For now I basically want an advice on which Eclipse to use. I’ve been investigating dnf issues and messages for quite some time. That is no problem for me, because I highly appreciate the Fedora contributors and using the Fedora distribution.

But before creating useful (I hope) Bugzilla tickets for these dependency issues, I wanted to know the status of Eclipse in Fedora in general. Creating Bugzilla tickets takes me quite some time, and they will get outdated when updated versions of packages arrive. So I would like to know if creating them is worth the effort.

Via your link I also read about the state of the Java SIG.

So basically I would like to receive guidance on what is now the best way to use Eclipse, also because I use Eclipse in my daily professional work.

I’ll give the flatpak option a try.

gnome-software has some integrated management for them.

1 Like

there is a thread in :fedora: devel list, talking about that:

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/CJZH6SBOMQ5DPBC6YJLPDVJNHFWXXMA7/

Regards.,

1 Like

And as a follow up: https://discussion.fedoraproject.org/t/whats-the-state-of-the-java-sig/11714